<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<generatorConfiguration>
    <properties resource="application.properties"/>

    <context id="Mysql" targetRuntime="MyBatis3Simple" defaultModelType="flat">
        <property name="beginningDelimiter" value="`"/>
        <property name="endingDelimiter" value="`"/>

        <plugin type="tk.mybatis.mapper.generator.MapperPlugin">
            <property name="mappers" value="cn.freemud.comm.druid.MyMapper"/>
        </plugin>

        <jdbcConnection connectionURL="jdbc:mysql://115.159.67.166:6630/saas_micro_progeram?useUnicode=true"
                        driverClass="com.mysql.jdbc.Driver"
                        userId="Bf_User"
                        password="L$^U4P3^2p1uGF">
        </jdbcConnection>

        <javaModelGenerator targetPackage="cn.freemud.entities.db" targetProject="src/main/java">

        </javaModelGenerator>

        <sqlMapGenerator targetPackage="mapper" targetProject="src/main/resources"/>

        <javaClientGenerator targetPackage="cn.freemud.manager.dao" targetProject="src/main/java"
                             type="XMLMAPPER"/>

        <table tableName="saas_link_monitor_log">
            <!--mysql 配置-->
            <generatedKey column="id" sqlStatement="Mysql" identity="true"/>
            <!--oracle 配置-->
            <!--<generatedKey column="id" sqlStatement="select SEQ_{1}.nextval from dual" identity="false" type="pre"/>-->
        </table>

    </context>
</generatorConfiguration>